Bug 196800 - net/mpd5: Fix build with LibreSSL
Summary: net/mpd5: Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexander Motin
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-01-16 09:22 UTC by Franco Fichtner
Modified: 2015-02-25 14:21 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mav)


Attachments
goes into files/, works for OpenSSL too (4.26 KB, patch)
2015-01-16 09:22 UTC, Franco Fichtner
no flags Details | Diff
svn diff patch based on original (7.17 KB, patch)
2015-01-24 12:50 UTC, Bernard Spil
no flags Details | Diff
Poudriere build log (98.64 KB, text/plain)
2015-01-24 12:51 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2015-01-16 09:22:19 UTC
Created attachment 151728 [details]
goes into files/, works for OpenSSL too
Comment 1 Bugzilla Automation freebsd_committer 2015-01-16 09:22:19 UTC
Auto-assigned to maintainer mav@FreeBSD.org
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-24 11:17:54 UTC
Franco, 

Can you provide a diff against the port directory and include (attach)  poudriere/portlint output too please
Comment 3 Bernard Spil freebsd_committer 2015-01-24 12:50:55 UTC
Created attachment 152093 [details]
svn diff patch based on original
Comment 4 Bernard Spil freebsd_committer 2015-01-24 12:51:47 UTC
Created attachment 152094 [details]
Poudriere build log
Comment 5 commit-hook freebsd_committer 2015-02-25 14:20:33 UTC
A commit references this bug:

Author: feld
Date: Wed Feb 25 14:19:45 UTC 2015
New revision: 379914
URL: https://svnweb.freebsd.org/changeset/ports/379914

Log:
  Fix build with LibreSSL

  PR:		196800
  Approved by:	maintainer timeout

Changes:
  head/net/mpd5/files/patch-src_ecp__dese.c
  head/net/mpd5/files/patch-src_ecp__dese.h
  head/net/mpd5/files/patch-src_ecp__dese__bis.c
  head/net/mpd5/files/patch-src_ecp__dese__bis.h
  head/net/mpd5/files/patch-src_msoft.c